import { WebSocketMessage } from './websocket-message';

export type MessageButton = 'yes' | 'no' | 'fix' | 'hint' | 'solution' | 'next';
export type MessageButtonMap = Record<MessageButton, {caption: string}>;

export interface MessageData {
  originator?: string;
  timestamp?: Date;
  typing?: boolean;
  buttons?: MessageButton[];
  command?: any;
  message: string;
}

export interface Message extends MessageData, WebSocketMessage {}
